Slug: 10.36903/physiome.16550526
DOI: 10.36903/physiome.16550526
SubmissionID: 97d30eab-fdd4-4d3c-8fc8-8beb0134c9f6
ManuscriptID: S000010
Title: Reproducibility study of the Fabbri et al. 2017 model of the human sinus node action potential
Date: 2021-09-01
SubmissionDate: 2021-08-11
PublishDate: 2021-09-01
LastPublishDate: 2021-09-21
Curator: Shelley Fong
Kind: Original Article
PubAuthors: Ghotli, N. A.
    Fabbri, A.
    Severi, S.
    Garny, A.
    Nickerson, D.
PubAuthorsORCID: 0000-0002-6671-6920
    0000-0002-3983-1640
    0000-0003-4306-8294
    0000-0001-7606-5888
    0000-0003-4667-9779
PMRURL: https://models.physiomeproject.org/workspace/648
PrimaryPaperName: Computational analysis of the human sinus node action potential: model development and effects of mutations. 2017, A. Fabbri, M. Fantini, R. Wilders, S. Severi
PrimaryPaperURL: https://doi.org/10.1113/jp273259
FulltextURL:
ArchiveURL:
Abstract: The sinoatrial node (SAN) is the natural pacemaker of the mammalian heart. It has been the subject of several mathematical studies, aimed at reproducing its electrical response under normal sinus rhythms, as well as under various conditions. Such studies were traditionally done using data from rabbit SAN cells. More recently, human SAN cell data have become available, resulting in the publication of a human SAN cell model (Fabbri et al., 2017), along with its CellML version. Here, we used the CellML file provided by the model authors, together with some SED-ML files and Python scripts that we created to reproduce the main results of the aforementioned modeling study. EDITOR'S NOTE (v2): this article and its OMEX archive are republished with technical changes made to the corresponding Python scripts to remove a run-time error message displayed when executing each simulation.
References: 1. Computational analysis of the human sinus node action potential: model development and effects of mutations. Journal: The Journal of Physiology. Fabbri, Alan and Fantini, Matteo and Wilders, Ronald and Severi, Stefano. Volume: 595. Year: 2017.  <br />2. An overview of {CellML} 1.1, a biological model description language. Journal: Simulation. Cuellar, Autumn A and Lloyd, Catherine M and Nielsen, Poul F and Bullivant, David P and Nickerson, David P and Hunter, Peter J. Volume: 79. Year: 2003.  <br />3. OpenCOR: a modular and interoperable approach to computational biology. Journal: Frontiers in Physiology. Garny, Alan and Hunter, Peter J. Volume: 6. Year: 2015.  <br />4. What keeps us ticking: a funny current, a calcium clock, or both?. Journal: Journal of Molecular and Cellular Cardiology. Lakatta, Edward G and DiFrancesco, Dario. Volume: 47. Year: 2009.  <br />5. The role of the funny current in pacemaker activity. Journal: Circulation Research. DiFrancesco, Dario. Volume: 106. Year: 2010.  <br />6. A paradigm shift for the heart's pacemaker. Journal: Heart Rhythm. Lakatta, Edward G. Volume: 7. Year: 2010.  <br />7. Funny current provides a relatively modest contribution to spontaneous beating rate regulation of human and rabbit sinoatrial node cells. Journal: Journal of Molecular and Cellular Cardiology. Maltsev, Victor A and Lakatta, Edward G. Volume: 48. Year: 2010.  <br />8. Competing oscillators in cardiac pacemaking: historical background. Journal: Circulation Research. Noble, Denis and Noble, Penelope J and Fink, Martin. Volume: 106. Year: 2010.  <br />9. Computer modelling of the sinoatrial node. Journal: Biopacemaking. Wilders, Ronald. Year: 2007.  <br />10. Ionic Mechanisms underlying the positive chronotropy induced by $\beta$1-adrenergic stimulation in guinea-pig sinoatrial node cells: a simulation study. Journal: The Journal of Physiological Sciences. Himeno, Yukiko and Sarai, Nobuaki and Matsuoka, Satoshi and Noma, Akinori. Year: 2008.  <br />11. An updated computational model of rabbit sinoatrial action potential to investigate the mechanisms of heart rate modulation. Journal: The Journal of Physiology. Severi, Stefano and Fantini, Matteo and Charawi, Lara A and DiFrancesco, Dario. Volume: 590. Year: 2012.  <br />12. A computational model of a human single sinoatrial node cell. Journal: Biomedical Physics \& Engineering Express. Pohl, A and Wachter, A and Hatam, N and Leonhardt, S. Volume: 2. Year: 2016.  <br />13. Pacemaker current (I f) in the human sinoatrial node. Journal: European Heart Journal. Verkerk, Arie O and Wilders, Ronald and van Borren, Marcel MGJ and Peters, Ron JG and Broekhuis, Eli and Lam, Kayan and Coronel, Ruben and de Bakker, Jacques MT and Tan, Hanno L. Volume: 28. Year: 2007.  <br />14. The funny current has a major pacemaking role in the sinus node. Journal: Heart Rhythm. DiFrancesco, Dario and Noble, Denis. Volume: 9. Year: 2012.  <br />15. Rebuttal: What If the shoe doesn't fit?“The funny current has a major pacemaking role in the sinus node”. Journal: Heart Rhythm. Lakatta, Edward G and Maltsev, Victor A. Volume: 9. Year: 2012.  <br />16. The case for the funny current and the calcium clock. Journal: Heart Rhythm. Rosen, Michael R and Nargeot, Joel and Salama, Guy. Volume: 9. Year: 2012.  <br />17. Modern concepts concerning the origin of the heartbeat. Journal: Physiology. Monfredi, Oliver and Maltsev, Victor A and Lakatta, Edward G. Volume: 28. Year: 2013.  <br />18. From two competing oscillators to one coupled-clock pacemaker cell system. Journal: Frontiers in Physiology. Yaniv, Yael and Lakatta, Edward G and Maltsev, Victor A. Volume: 6. Year: 2015.  <br />19. New evidence for coupled clock regulation of the normal automaticity of sinoatrial nodal pacemaker cells: Bradycardic effects of ivabradine are linked to suppression of intracellular Ca2+ cycling. Journal: Journal of Molecular and Cellular Cardiology. Yaniv, Yael and Sirenko, Syevda and Ziman, Bruce D and Spurgeon, Harold A and Maltsev, Victor A and Lakatta, Edward G. Volume: 62. Year: 2013.  <br />20. Electrophysiologic properties of the adult human sinus node. Journal: Journal of Cardiovascular Electrophysiology. Drouin, Emmanuel. Volume: 8. Year: 1997.  <br />21. Calcium transient and sodium-calcium exchange current in human versus rabbit sinoatrial node pacemaker cells. Journal: The Scientific World Journal. Verkerk, Arie O and van Borren, Marcel MGJ and Wilders, Ronald. Volume: 2013. Year: 2013.  <br />22. Molecular architecture of the human sinus node: insights into the function of the cardiac pacemaker. Journal: Circulation. Chandler, Natalie and Greener, Ian and Tellez, James and Inada, Shin and Musa, Hanny and Molenaar, Peter and DiFrancesco, Dario and Baruscotti, Mirko and Longhi, Renatp and Anderson, Robert and others. Volume: 119. Year: 2009.  <br />23. Pacemaker activity of the human sinoatrial node: an update on the effects of mutations in HCN4 on the hyperpolarization-activated current. Journal: International Journal of Molecular Sciences. Verkerk, Arie O and Wilders, Ronald. Volume: 16. Year: 2015.  <br />24. Reproducible computational biology experiments with {SED-ML}-the simulation experiment description markup language. Journal: BMC Systems Biology. Waltemath, Dagmar and Adams, Richard and Bergmann, Frank T. and Hucka, Michael and Kolpakov, Fedor and Miller, Andrew K. and Moraru, Ion I. and Nickerson, David and Sahle, Sven and Snoep, Jacky L. and Le Novère, Nicolas. Volume: 5. Year: 2011.  <br />25. The {Physiome} {Model} {Repository} 2. Journal: Bioinformatics. Yu, Tommy and Lloyd, Catherine M. and Nickerson, David P. and Cooling, Michael T. and Miller, Andrew K. and Garny, Alan and Terkildsen, Jonna R. and Lawson, James and Britten, Randall D. and Hunter, Peter J. and Nielsen, Poul M. F.. Volume: 27. Year: 2011.  <br />26. Matplotlib: A 2D graphics environment. Journal: Computing in Science \& Engineering. Hunter, J. D.. Volume: 9. Year: 2007.  <br />27. The matlab ode suite. Journal: SIAM journal on scientific computing. Shampine, Lawrence F and Reichelt, Mark W. Volume: 18. Year: 1997.  <br />